Subject: RE: Do I have to mount ClearCase's view ?
From: [email-masked] (Guillaume Barthelemy-G1504C)

21 Oct 1998 06:15:44 -0700
Message-ID: <M1810067.001.4p710.1.981020135212Z.CC-MAIL*/OU=XSFCC/OU=ZWGBA/PRMD=MOT/ADMD=MOT/C=US/.cygnus.gnu-win32@MHS>
To: [email-masked]
Cc: [email-masked], [email-masked]

> -----Original Message-----
> Hi, 
>     I have problem when I use clearcase's view. 
> There are a lot of sources under ClearCase and I must 
> create loadable image using make utility. I have my 
> view and work with it as with disk. I implement next string : 
> 
>     A := //Y/aaaa/bbbbb 
> 
> where //Y - my view mapped to disk Y:. 
>       /aaaa/bbbbb - dir. in the view. 
> 
> When I used this var. in my makefile make did not 
> do cd command. I replaced A to Y:/aaaa/bbbbb last 
> error has disappeared but next command have not 
> worked : 
> 
>     include $(A)/sss/ddd 
> 
> I do not know why it takes place. May be I have to mount 
> this view( disk ) using mount command ? May be anybody 
> had similar situation ? 
> 
>     Regards, 
> 
> -- 
> Alexei Karpov
> SONY Platform Software Development Center - Belgium ( PSDC- B )
> Sint Stevens Woluwestraat 55 ( Rue de Woluwe-Saint-Etienne )
> 1130 Brussel ( Bruxelles ), Belgium, Europe, Earth
> Tel.  : +32 2 724.86.50
> Fax   : +32 2 726.26.86
> E-mail: [email-masked]

Hi,
I also use Clearcase from a bash shell and do not need to mount the view drive
using the mount command because the makefile only refer to elements with
relative paths... for example :

INCS=-i ../../aaaa/bbbb/include -i ./include

The same for the compilers, linker, etc ...

I haven't tried to mount the view drive to be honest. But the reason why I work
with relative paths only in my makefile is that when you mount a Clearcase view
on an NT box, it means - as for any mount point on NT - assigning a drive letter
to it (sic). Views are relatively short-lived, and the same view can be mounted
on different machines accross a network with different drive letters. Also,
different views can "see" the same makefile for parallel development, and if
your makefile uses drive letters (absolute paths) only one of them is going to
work. A last reason, your Clearcase vob is probably on a Unix server ? If this
is the case, you may want the capability to run a make from a view mounted on a
unix box, where drive letters are irrelevant. Hope this helps.

--
What is done well is done quickly enough. (Augustus Caesar)

Guillaume Barthelemy
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".